
Calculate Linux - Bug # 274: cl-kernel -o Ð¿Ð¾ Ð·Ð°Ð²ÐµÑ€ÑˆÐµÐ½Ð¸ ÐºÐ¾Ð¼Ð¿Ð¸Ð»Ñ•Ñ†Ð¸Ð¸ Ñ•Ð¾Ð¾Ð±Ñ‰ÐµÐ½Ð¸Ðµ...

Status: Closed Priority: Normal

Author: ÐŸÐ°Ð²ÐµÐ» Ð”Ñ€ÑƒÐ¶Ð¸Ð½Ð¸Ð½ Category: Calculate Utilities

Created: 04/21/2011 Assignee:

Updated: 04/22/2011 Due date:

Subject: cl-kernel -o Ð¿Ð¾ Ð·Ð°Ð²ÐµÑ€ÑˆÐµÐ½Ð¸ ÐºÐ¾Ð¼Ð¿Ð¸Ð»Ñ•Ñ†Ð¸Ð¸ Ñ•Ð¾Ð¾Ð±Ñ‰ÐµÐ½Ð¸Ðµ...

Description: Traceback (most recent call last):

  File "/usr/bin/cl-kernel", line 59, in <module>

    elif not kernel.makeKernel(options):

  File "/usr/lib/calculate-2.2/calculate-builder/pym/cl_kernel_cmd.py", line 185, in makeK            ernel

    if not self.logicObj.versionMigrate():

  File "/usr/lib/calculate-2.2/calculate-builder/pym/cl_kernel.py", line 333, in versionMi            grate

    return self.performVersionMigrate()

  File "/usr/lib/calculate-2.2/calculate-builder/pym/cl_kernel.py", line 376, in performVe            rsionMigrate

    newGrub = grubsetUID().reduce(open(grubconf,'r'))

  File "/usr/lib/calculate-2.2/calculate-builder/pym/cl_kernel.py", line 46, in reduce

    return reduce(self,obj,self.initReduce)[1]

  File "/usr/lib/calculate-2.2/calculate-builder/pym/cl_kernel.py", line 42, in __call__

    y = self.change(y)

  File "/usr/lib/calculate-2.2/calculate-builder/pym/cl_kernel.py", line 354, in change

    y = reChangeKernel.sub("\\1-%s\\2 "%clKernelUid,y)

NameError: global name 'reChangeKernel' is not defined
History

04/21/2011 12:57 pm - Mikhail Hiretsky

- Status changed from New to In Progress

Ð’ calculate-builder-2.2.14-r1 Ð¸Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½Ð¾

04/21/2011 01:00 pm - ÐŸÐ°Ð²ÐµÐ» Ð”Ñ€ÑƒÐ¶Ð¸Ð½Ð¸Ð½

Ð‘Ð»Ð°Ð³Ð¾Ð´Ð°Ñ€ÑŽ Ð·Ð° Ñ•Ð¾Ñ‚Ñ€ÑƒÐ´Ð½Ð¸Ñ‡ÐµÑ•Ñ‚Ð²Ð¾ :)

04/22/2011 09:09 am - Alexander Tratsevskiy

- Status changed from In Progress to Closed
